Bug 1248809 - (CVE-2015-5182) CVE-2015-5182 A-MQ Console: CSRF via form-based API call
CVE-2015-5182 A-MQ Console: CSRF via form-based API call
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151006,repor...
: Security
Depends On:
Blocks: 1242522
  Show dependency treegraph
 
Reported: 2015-07-30 17:40 EDT by Chess Hazlett
Modified: 2018-04-22 16:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that JBoss A-MQ's Jolokia API does not have token or referrer checks, and could possibly allow a cross-site request forgery (CSRF) attack. An attacker could use this vulnerability to run application code with the same permissions as an authenticated user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-22 16:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chess Hazlett 2015-07-30 17:40:11 EDT
It was found that A-MQ's jolokia API does not have token or referrer checks, and could possibly allow a cross-site request forgery (CSRF) attack. An attacker could use this vulnerability to run application code with the same permissions as an authenticated user.
Comment 2 Chess Hazlett 2015-12-06 11:54:54 EST
Acknowledgements:

Red Hat would like to thank Naftali Rosenbaum of Comsec Consulting for reporting this issue.

Note You need to log in before you can comment on or make changes to this bug.